AMD Catalyst™ 15.7 Proprietary Linux Graphics Driver Release Notes

Article Number: RN-LIN-CAT15-7

​This document provides information about the latest posting of the AMD Catalyst™ 15.7 Proprietary Linux Graphics Driver. 

The content of this document is organized into the following sections:

    • AMD Product Compatibility
    • Linux Distributions Supported
    • System Requirements
    • System Recommendations
    • New Features
    • Resolved Issues
    • Known Issues

AMD Product Compatibility

The AMD Catalyst™ Proprietary Linux Graphics Driver is compatible with the following AMD products. 

AMD Desktop Product Family Compatibility
AMD Radeon™ R9 Fury XAMD Radeon™ R5 230 Series
AMD Radeon™ R9 300 SeriesAMD Radeon™ HD 8000 Series
AMD Radeon™ R9 200 SeriesAMD Radeon™ HD 7000 Series
AMD Radeon™ R7 300 SeriesAMD Radeon™ HD 6000 Series
AMD Radeon™ R7 200 SeriesATI Radeon™ HD 5000 Series

 

AMD All-In-One Desktop Product Family Compatibility
AMD Radeon™ HD 7600A SeriesAMD Radeon™ HD 6600A Series
AMD Radeon™ HD 7450A SeriesAMD Radeon™ HD 6350A Series

 

​AMD APU Product Family Compatibility
DesktopMobile
A-Series AMD Radeon™ R7 GraphicsAMD Radeon™ HD 8000D Series
A-Series AMD Radeon™ R6 GraphicsAMD Radeon™ HD 7000D Series
A-Series AMD Radeon™ R5 GraphicsAMD Radeon™ HD 6000D Series
A-Series AMD Radeon™ R4 GraphicsAMD Radeon™ HD 8000G Series
A-Series AMD Radeon™ R3 Graphics
AMD Radeon™ HD 7000G Series
FX-8800P AMD Radeon™ R7 Graphics
AMD Radeon™ HD 6000G Series
E-Series AMD Radeon™ R2 Graphics

 

​AMD Mobility Product Family Compatibility
AMD Radeon™ R9 M200 SeriesAMD Radeon™ HD 7000M Series
AMD Radeon™ R7 M200 SeriesAMD Radeon™ HD 6000M Series
AMD Radeon™ R5 M200 SeriesATI Mobility Radeon™ HD 5000 Series
AMD Radeon™ HD 8000M Series 

 

Linux Distributions Supported

This version of the AMD Catalyst™ Linux Proprietary Graphics Driver is designed to support the following Linux distributions:

Distributions supported:

    • Red Hat Enterprise Linux Suite 7.1, 7.0, 6.6, 6.5
    • Ubuntu 12.04.4 LTS, 14.04.2, 15.04
    • SUSE® Linux Enterprise 11 SP3, 12
    • OpenSuSE 13.1

Distribution specific packages are available for:

    • Red Hat Enterprise Linux Suite 7.1, 7.0, 6.6, 6.5
    • Ubuntu 12.04.4 LTS, 14.04.2

System Requirements

Before attempting to install the AMD Catalyst™ Proprietary Linux Graphics Driver, the following software must be installed:

    • Xorg/Xserver 7.4 and above (up to 1.17)
    • Linux kernel 2.6 or above (up to 3.19)
    • glibc version 2.2 or 2.3
    • POSIX Shared Memory (/dev/shm) support is required for 3D applications

NOTE: If a Linux 2.6.11 or newer kernel was built with CONFIG_AGP enabled, the kernel AGP frontend is required to load the fglrx kernel module. To identify whether your kernel with CONFIG_AGP enabled, look for CONFIG_AGP=y in the kernel config file, or if the 'agpgart' module is loaded

System Recommendations

For optimal performance and ease of use, the following are available:

    • Kernel module build environment
      • Kernel source code include either the Kernel Source or Kernel Headers packages
    • The RPM utility should be installed and configured correctly on your system, if you intend to install via RPM packages

The following packages must be installed in order for the AMD Catalyst™ Proprietary Linux Graphics Driver to install and work optimally:

    • gimp-help-en
    • gimp-help-common
    • XFree86-Mesa-libGL
    • libstdc++
    • libgcc
    • XFree86-libs
    • fontconfig
    • freetype
    • zlib
    • gcc

New Features

    • AMD PowerXpress support for laptops equipped with Intel 6th generation (Skylake) CPUs
    • Linux Platform Atomics & SVM Fine Grain Buffer support for Carrizo APUs
    • Multi-Device support for OpenCL 2.0

Resolved Issues:

    • [421317] Segmentation fault observed while launching some OpenGL games in  RHEL7.1
    • [419365] Error message observed during installation through rpm package in RHEL 6.5, 7.0
    • [419162] System hangs while running Dying Light
    • [421858] clinfo could not recognize up to four GPU devices

Known Issues:

    • [419960]: Vari-Bright on some configurations is not decreasing brightness as expected

Footnotes